View Databricks instance properties
This API is used to view Databricks instance properties
Path Parameters
- instanceid string required
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
instanceProperties object[]
autoDiscovered booleanstatus integerisDeleted booleanapplicationSize integerhasScaleProfileAccessNode booleanexcludeFromSLA booleanscIdxEnabled integerisSnapEnabled booleanisLogBackupHistoryEnabled booleaninstance object
clientName stringinstanceName stringdisplayName stringinstanceId integerinstanceGUID stringclientId integerappName stringapplicationId integerentityInfo object
companyId integercompanyName stringmultiCommcellId integerinstanceActivityControl object
activityControlOptions object[]
activityType integerenableAfterADelay booleanenableActivityType booleanplanEntity object
planType integerplanName stringplanSubtype integerplanId integerdistributedClusterInstance object
clusterType integercluster type : 23 for databricks instance
instance object
instanceName stringinstanceId integerclusterConfig object
config object
staging object
stagingType integerpossible values : 1 for azure staging
recordType integerpossible record type : 4
instanceType integerinstance type : 21
stagingPath stringstagingCredentials object
_type_ integerazure credential type : 174
credentialId integercredentialName stringdatabricksConfig object
accountID stringaccountName stringvendor integerautomaticMetastoreBackupEnable booleanclientIdSecret object
credentialId integercredentialName stringdataAccessNodes object
dataAccessNodeGroups object[]
_type_ integertype 28 for access node groups
clientGroupId integerclientGroupName stringdataAccessNodes object[]
clientName string_type_ integertype 3 for access nodes
clientId integercredentialEntity object
credentialId integercredentialName stringcloudDBInstance object
overRideAccessNode booleanaccessNodes object
{
"instanceProperties": [
{
"autoDiscovered": true,
"status": 0,
"isDeleted": true,
"applicationSize": 0,
"hasScaleProfileAccessNode": true,
"excludeFromSLA": true,
"scIdxEnabled": 0,
"isSnapEnabled": true,
"isLogBackupHistoryEnabled": true,
"instance": {
"clientName": "string",
"instanceName": "string",
"displayName": "string",
"instanceId": 0,
"instanceGUID": "string",
"clientId": 0,
"appName": "string",
"applicationId": 0,
"entityInfo": {
"companyId": 0,
"companyName": "string",
"multiCommcellId": 0
}
},
"instanceActivityControl": {
"activityControlOptions": [
{
"activityType": 0,
"enableAfterADelay": true,
"enableActivityType": true
}
]
},
"planEntity": {
"planType": 0,
"planName": "string",
"planSubtype": 0,
"planId": 0
},
"distributedClusterInstance": {
"clusterType": 0,
"instance": {
"instanceName": "string",
"instanceId": 0
},
"clusterConfig": {
"config": {
"staging": {
"stagingType": 0,
"recordType": 0,
"instanceType": 0,
"stagingPath": "string",
"stagingCredentials": {
"_type_": 0,
"credentialId": 0,
"credentialName": "string"
}
}
},
"databricksConfig": {
"accountID": "string",
"accountName": "string",
"vendor": 0,
"automaticMetastoreBackupEnable": true,
"clientIdSecret": {
"credentialId": 0,
"credentialName": "string"
}
}
},
"dataAccessNodes": {
"dataAccessNodeGroups": [
{
"_type_": 0,
"clientGroupId": 0,
"clientGroupName": "string"
}
],
"dataAccessNodes": [
{
"clientName": "string",
"_type_": 0,
"clientId": 0
}
]
}
},
"credentialEntity": {
"credentialId": 0,
"credentialName": "string"
},
"cloudDBInstance": {
"overRideAccessNode": true,
"accessNodes": {}
}
}
]
}
{
"instanceProperties": [
{
"autoDiscovered": false,
"status": 0,
"isDeleted": false,
"applicationSize": 0,
"hasScaleProfileAccessNode": false,
"excludeFromSLA": false,
"scIdxEnabled": 1,
"isSnapEnabled": false,
"isLogBackupHistoryEnabled": false,
"instance": {
"clientName": "dbxapidoc-meta4",
"instanceName": "dbxapidoc-meta4",
"displayName": "dbxapidoc-meta4",
"instanceId": 844,
"instanceGUID": "FD7A8DCD-8C1C-4C45-B85A-D7773E2919F5",
"clientId": 869,
"appName": "Distributed Data Platforms",
"applicationId": 64,
"entityInfo": {
"companyId": 0,
"companyName": "Commcell",
"multiCommcellId": 0
}
},
"instanceActivityControl": {
"activityControlOptions": [
{
"activityType": 1,
"enableAfterADelay": false,
"enableActivityType": true
},
{
"activityType": 2,
"enableAfterADelay": false,
"enableActivityType": true
}
]
},
"planEntity": {
"planType": 2,
"planName": "01506plan",
"planSubtype": 33554437,
"planId": 37
},
"distributedClusterInstance": {
"clusterType": 23,
"instance": {
"instanceName": "dbxapidoc-meta4",
"instanceId": 844
},
"clusterConfig": {
"config": {
"staging": {
"stagingType": 1,
"recordType": 4,
"instanceType": 21,
"stagingPath": "/cv-managed-container/DBX_ACCOUNT_844",
"stagingCredentials": {
"_type_": 174,
"credentialId": 609,
"credentialName": "newdbx1405"
}
}
},
"databricksConfig": {
"accountID": "53cd939d-b873-4ad3-a4cf-e4d95bacae68",
"accountName": "dbxapidoc-meta4",
"vendor": 1,
"automaticMetastoreBackupEnable": false,
"clientIdSecret": {
"credentialId": 658,
"credentialName": "newsp1504_new"
}
}
},
"dataAccessNodes": {
"dataAccessNodeGroups": [
{
"_type_": 28,
"clientGroupId": 25,
"clientGroupName": "databricks_accessnodes"
}
],
"dataAccessNodes": [
{
"clientName": "sslcb1",
"_type_": 3,
"clientId": 450
},
{
"clientName": "sslcb2",
"_type_": 3,
"clientId": 449
}
]
}
},
"credentialEntity": {
"credentialId": 0,
"credentialName": ""
},
"cloudDBInstance": {
"overRideAccessNode": false,
"accessNodes": {}
}
}
]
}
Loading...